#
# spec file for package icoutils
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           icoutils
Version:        0.32.3
Release:        3.1
Summary:        Extracting and Converting Microsoft Icon and Cursor Files
License:        GPL-3.0-or-later
Group:          Productivity/Graphics/Convertors
URL:            https://www.nongnu.org/icoutils/
Source0:        https://savannah.nongnu.org/download/icoutils/%{name}-%{version}.tar.bz2
Source1:        https://savannah.nongnu.org/download/icoutils/%{name}-%{version}.tar.bz2.sig
Source2:        %{name}.keyring
# build with gcc15
Patch0:         icoutils-gcc15.patch
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libpng)

%description
The icoutils are a set of programs for extracting and converting images
in Microsoft Windows icon and cursor files. These files usually have the
extension .ico or .cur, but they can also be embedded in executables or
libraries (.dll-files).

%prep
%autosetup -p1

%build
# Don't compile strange locales en@boldquot and en@quot.
# Otherwise, remove '--disable-nls'.
%configure --disable-nls
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS README TODO
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Wed Mar  5 2025 pgajdos@suse.com
- added patches
  fix build with gcc15
  + icoutils-gcc15.patch
* Fri May  6 2022 Marcus Meissner <meissner@suse.com>
- source urls switched to https
* Mon Jun  1 2020 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.32.3:
  * Fixed a segfault. (Martin Gieseking, Savannah bug 52319)
  * Updated Gnulib stuff.
- Changes for version 0.32.2
  * Corrected fix for savannah bug 52308 (caused wrestool to always
    fail).
  * Added support for PE32+ binaries.
- Changes fo version 0.32.1:
  * Fixed multiple issues found by Hanno Böck <hanno@hboeck.de>
    via fuzzing. (Savannah bugs 52307, 52308, 52313)
- Changes for version 0.32.0:
  * Fixed issues found by Jerzy Kramarz:
    + Invalid memory allocation in icotool with malformed input.
    + Infinite recursion in wrestool with malformed input.
  * Added ability to specify minimum bit depth per image.
  * Added ability to specify cursor hotspot per image.
* Thu Jul 27 2017 lazy.kent@opensuse.org
- Update to 0.31.3.
  * Fixed wrestool being broken.
- Changes in 0.31.2.
  * Various security fixes: CVE-2017-6009, CVE-2017-6010,
    CVE-2017-6011 (boo#1025700, boo#1025703).
* Wed Jan 11 2017 lazy.kent@opensuse.org
- Update to 0.31.1.
  * Security fixes: CVE-2017-5208, CVE-2017-5331, CVE-2017-5332,
    CVE-2017-5333 (boo#1018756).
* Tue Jun 18 2013 lazy.kent@opensuse.org
- Update to 0.31.0.
  * Change placement of libintl dependency.
  * Man page improvements.
- Remove gpg verification from bootstrap packages.
* Thu Dec 20 2012 lazy.kent@opensuse.org
- Update to 0.30.0.
  * Fix crash with libpng version prior to 1.2.25.
  * Man page improvements.
  * Limit size of extracted icon to size of resource. Fixes a
    segfault (rh#701855).
- Correct build dependencies: remove zlib-devel; libpng-devel ->
  pkgconfig(libpng).
- Verify GPG signature.
* Thu Nov 24 2011 lazy.kent@opensuse.org
- Corrected build dependencies (libpng12-compat-devel ->
  libpng-devel).
- Corrected rpm group.
- Corrected License tag according to SPDX Standard.
- Spec clean up.
* Sun Jun  5 2011 lazy.kent@opensuse.org
- use full URL for Source
- correct suse_version macro
* Mon Apr 11 2011 lazy.kent@opensuse.org
- build requires libpng12-compat-devel for oS > 11.2
- added COPYING
* Sun Sep  5 2010 lazy.kent.suse@gmail.com
- removed unnecessary build dependences
- marked manpages as docs
- minor spec formatting
* Mon Apr 12 2010 lazy.kent.suse@gmail.com
- update to 0.29.1
- added new author
* Wed Oct 21 2009 lazy.kent.suse@gmail.com
- update to 0.28.0
  * license changed to GPLv3+
* Thu Oct 15 2009 lazy.kent.suse@gmail.com
- spec-file corrected
* Fri Aug 14 2009 lazy.kent.suse@gmail.com
- update to 0.27.0
  * minor fixes
* Sun Mar  1 2009 lazy.kent.suse@gmail.com
- spec-file corrected
